<?php
function addredirector($a, $redirector, $exclude) {
    $a = preg_replace('/\\\\\"/', '"', $a);
    $excludes = preg_split('/\|/', $exclude);
    $exclude_matched = 0;
    while ($x = current($excludes)) {
        if (ereg($x, $a)) {
            $exclude_matched = 1;
        }
        next($excludes);
    }
    $already_redirected = 0;
    if (ereg(quotemeta($redirector), $a)) {
        $already_redirected = 1;
    }
    if ($exclude_matched == 0 && $already_redirected == 0) {
        $a = preg_replace('/href="([^\"]*)"/i', "href=\"$redirector\\1\"", $a);
    }
    return $a;
}
?>
